Subject: Re: bug#67185: Small bug in the Introduction to Elisp manual

From: Ryan Hodges <[email-masked]>
Date: Fri, 17 Nov 2023 05:22:31 -0800

My position would be that the word 'conversely' is probably ok in those
cases where it is used. However the word 'converse', especially when talking
about conditional relationships, needs to change. I only see one such case,
the one we're talking about here.

My biggest complaint wasn't about the use of the word 'converse'.  Instead,
it
was the explanation of 'unless' as an 'if without a then'. I think it needs
to
explain that it is an 'if without a then but with an else that is populated
with the expressions from the then block of the unless statement.  An
example
like the one in the Lisp Reference Manual would bring it home. I'll include
that change in my patch and you can decide whether it's appropriate..

Regards,
Ryan Hodges

On Thu, Nov 16, 2023 at 11:19 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Richard Stallman <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Thu, 16 Nov 2023 22:56:29 -0500
> >
> > We should use logical terms such as "converse" only in the strictly
> correct
> > logical sense.  "Converse" is not correct here.
> >
> > "Inverse" also has a specific mathematical meaning, which doesn't fit
> > here.
> >
> > What should se use here?  I think "opposite" is the best word.
>
> That manual uses "converse" and "conversely" about half a dozen times:
> are all of them incorrect, and actually mean "opposite" or maybe "by
> contrast"?
>
> > > >  >  "The ‘kill-region’ function definition also has an ‘unless’
> macro; it
> > > >  >  is the opposite of ‘when’.
> >
> > If people are asking me to review more of the text, would someone please
> > send me the entire passage I whoudl review?
>
> The passage was in the original message.  I reproduce its Texinfo
> source below:
>
>   The @code{kill-region} function definition also has an @code{unless}
>   macro; it is the converse of @code{when}.  The @code{unless} macro is
>   an @code{if} without a then clause
>